Get Latency Metrics
curl --request GET \
--url https://api.mixpeek.com/v1/analytics/collections/{collection_id}/latency \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/analytics/collections/{collection_id}/latency"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/analytics/collections/{collection_id}/latency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collection_id": "<string>",
"time_range": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"metrics": [
{
"time_bucket": "2023-11-07T05:31:56Z",
"document_count": 123,
"avg_latency_ms": 123,
"p95_latency_ms": 123,
"p99_latency_ms": 123
}
],
"slowest_documents": [
{}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Collections
Get Latency Metrics
Get processing latency distribution.
Analyzes document processing latency including:
- Latency percentiles over time
- Slowest document operations
- Performance trends
GET
/
v1
/
analytics
/
collections
/
{collection_id}
/
latency
Get Latency Metrics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
⌘I

